commit:     5ec60fd354459a9e8ec0dcdd29da86b5d67d0f66
Author:     David Denoncin <ddenoncin <AT> gmail <DOT> com>
AuthorDate: Wed Aug  5 09:17:17 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 01:10:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ec60fd3

dev-python/libcloud: vbump 3.1.0, port to py3.9

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: David Denoncin <ddenoncin <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16997
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/libcloud/Manifest              |  1 +
 dev-python/libcloud/libcloud-3.1.0.ebuild | 49 +++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/libcloud/Manifest b/dev-python/libcloud/Manifest
index 496f882f8bb..5e2c9f6c0ba 100644
--- a/dev-python/libcloud/Manifest
+++ b/dev-python/libcloud/Manifest
@@ -1 +1,2 @@
 DIST apache-libcloud-3.0.0.tar.bz2 1609684 BLAKE2B 
cac9f42a2e73c8903d9b29c8e39d0d16d56138adbe2bdf60abb52c02fbd41f8fbe063238a09ce27b2b921eb082a82881f31211dbcb864e183c3f582fdb75858a
 SHA512 
17569ce820fc5bc792a23636c8d2cc2067059425217b9b0dd90fcba40a5f347dca66531201c458b12d61caf3854355b6a7dca7efc17b05fbab364c8d2bdc2405
+DIST apache-libcloud-3.1.0.tar.bz2 1613381 BLAKE2B 
afc607a76ff3cd24961cfaf916b5813cd59e84d523f9a642bb8222d889abb44d6357d230b001ae03a0b021160384d6c6d8420e85825aa8d84f7619e900c4c9b0
 SHA512 
ef2fc4754281adc336d656d3a707710feae0f6c22f33156830dd0b299d06fbf9b890817f68192106320944f851265c39f175b5fae5f85053706ec2f0ccd04bf1

diff --git a/dev-python/libcloud/libcloud-3.1.0.ebuild 
b/dev-python/libcloud/libcloud-3.1.0.ebuild
new file mode 100644
index 00000000000..8e3ceab26aa
--- /dev/null
+++ b/dev-python/libcloud/libcloud-3.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Unified Interface to the Cloud - python support libs"
+HOMEPAGE="https://libcloud.apache.org/";
+SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
+S="${WORKDIR}/apache-${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND=">=dev-python/requests-2.5.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+BDEPEND+="
+       test? (
+               >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
+               dev-python/lockfile[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/requests-mock[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       if use examples; then
+               mkdir examples || die
+               mv example_*.py examples || die
+       fi
+
+       # needed for tests
+       cp libcloud/test/secrets.py-dist libcloud/test/secrets.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to